%define name	dyalog-sqlite
%define version 1.0.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyAlog SQLITE module
License:	GPL
Group:		Sciences/Computer science
Url:		http://dyalog.gforge.inria.fr/
Source:		https://gforge.inria.fr/frs/download.php/5637/%{name}-%{version}.tar.gz
BuildRequires:	dyalog
BuildRequires:	sqlite3-devel
ExclusiveArch:  %{ix86}
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
A DyALog module providing predicates over SQLITE3 API. This module, while very
preliminary, may be used to create and access sqlite3 databases, for instance
lexicons or lexical preference databases.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	sqlite3-devel
Requires:	%{name} = %{version}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
export CPPFLAGS=-I%{_libdir}/DyALog
export LDFLAGS=-L%{_libdir}/DyALog
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_libdir}/DyALog/%{name}/%{name}.pc %{buildroot}%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_libdir}/DyALog/%{name}

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Sun Jan 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 492628
- new version

* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-7mdv2010.0
+ Revision: 428533
- use %%configure2_5x
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-6mdv2009.0
+ Revision: 244597
- rebuild
- fix no-buildroot-tag

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-4mdv2008.1
+ Revision: 135049
- ExclusiveArch, as DyaLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import dyalog-sqlite


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-3mdv2007.0
- Rebuild

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-2mdk
- split devel package

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdk
- first mdk release
